<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOltInfosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('olt_infos', function (Blueprint $table) {
            $table->id();
            $table->string('olt_address');
            $table->string('community');
            $table->string('olt_name');
            $table->string('vlan_mac');
            $table->string('onu_id');
            $table->string('onu_interface_name');
            $table->string('onu_laser');
            $table->string('port');
            $table->string('olt_company');
            $table->string('olt_type');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('olt_infos');
    }
}
